Package com.sun.jna

# Class JNIEnv

java.lang.Object
com.sun.jna.JNIEnv

public final class JNIEnv extends Object
Marker type for the JNIEnv pointer. Use this to wrap native methods that take a JNIEnv* parameter. Pass `CURRENT` as the argument.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JNIEnv`
  `CURRENT`
  Marker object representing the current thread's JNIEnv pointer.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CURRENT

    public static final JNIEnv CURRENT
    Marker object representing the current thread's JNIEnv pointer.